<?php
/**
 * MyBB 1.8
 * Copyright 2014 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybb.com
 * License: http://www.mybb.com/about/license
 *
 */

/**
 * Upgrade Script: Release Candidate 3
 */

$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 1,
	"requires_deactivated_plugins" => 1,
);

function upgrade2_dbchanges()
{
	global $db, $output;

	$output->print_header("Changements dans la base de données depuis la distribution Release Candidate 3");

	$contents .= "<p>Modifications nécessaires dans la base de données...";

	$db->drop_table("badwords");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."badwords (
	  bid smallint(6) NOT NULL auto_increment,
	  badword varchar(100) NOT NULL,
	  replacement varchar(100) NOT NULL,
	  PRIMARY KEY(bid)
	);");

	if($db->field_exists("icon", "attachtypes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachtypes DROP icon;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachtypes ADD icon varchar(100) NOT NULL;");

	$db->delete_query("attachtypes");

	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (1, 'Fichier Zip', 'application/zip', 'zip', 1024, 'images/attachtypes/zip.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (2, 'Image JPEG', 'image/jpeg', 'jpg', 500, 'images/attachtypes/image.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (3, 'Document texte', 'text/plain', 'txt', 200, 'images/attachtypes/txt.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (4, 'Image GIF', 'image/gif', 'gif', 500, 'images/attachtypes/image.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (6, 'Fichier PHP', 'application/octet-stream', 'php', 500, 'images/attachtypes/php.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (7, 'Image PNG', 'image/png', 'png', 500, 'images/attachtypes/image.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (8, 'Document Microsoft Word', 'application/msword', 'doc', 1024, 'images/attachtypes/doc.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (9, '', 'application/octet-stream', 'htm', 100, 'images/attachtypes/html.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (10, '', 'application/octet-stream', 'html', 100, 'images/attachtypes/html.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (11, '', 'image/jpeg', 'jpeg', 500, 'images/attachtypes/image.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (12, '', 'application/x-gzip', 'gz', 1024, 'images/attachtypes/tgz.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (13, '', 'application/x-tar', 'tar', 1024, 'images/attachtypes/tar.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (14, '', 'text/css', 'css', 100, 'images/attachtypes/css.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (15, '', 'application/pdf', 'pdf', 2048, 'images/attachtypes/pdf.gif');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (16, '', 'image/bmp', 'bmp', 500, 'images/attachtypes/image.gif');");

	if($db->field_exists("outerwidth", "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP outerwidth;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes ADD outerwidth varchar(15) NOT NULL;");

	if($db->field_exists("icon", "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP icon;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes ADD outercolor varchar(15) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes CHANGE body bodybgcolor varchar(15) NOT NULL;");

	if($db->field_exists("bodybgimage", "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP bodybgimage;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes ADD bodybgimage varchar(100) NOT NULL default '' AFTER bodybgcolor;");

	if($db->field_exists("bodybgimageattributes", "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP bodydbimageattributes;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes ADD bodybgimageattributes varchar(100) NOT NULL default '' AFTER bodybgimage;");


	$db->write_query("UPDATE ".TABLE_PREFIX."themes SET outerwidth='0', bodybgcolor='#e3e3e3', bodybgimage='images/Light/logo_bg.png', bodybgimageattributes='repeat-x'");

	$db->drop_table("regimages");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."regimages (
	  imagehash varchar(32) NOT NULL,
	  imagestring varchar(8) NOT NULL,
	  dateline bigint(30) NOT NULL
	);");

	$db->write_query("UPDATE ".TABLE_PREFIX."adminoptions SET cpstyle=''");

	if($db->field_exists("language", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP language;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD language varchar(50) NOT NULL;");

	if($db->field_exists("timeonline", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP timeonline;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD timeonline bigint(30) NOT NULL default '0';");

	if($db->field_exists("showcodebuttons", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."user DROP showcodebuttons;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD showcodebuttons int(1) NOT NULL default '1';");

	$db->write_query("UPDATE ".TABLE_PREFIX."users SET language='english', showcodebuttons=1");

	if($db->field_exists("oldgroup", "awaitingactivation"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation DROP oldgroup;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation ADD oldgroup bigint(30) NOT NULL;");

	if($db->field_exists("misc", "awaitingactivation"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation DROP misc;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation ADD misc varchar(255) NOT NULL;");

	$db->write_query("DELETE FROM ".TABLE_PREFIX."awaitingactivation WHERE type='e'");

	$db->drop_table("settings");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."settings (
	  sid smallint(6) NOT NULL auto_increment,
	  name varchar(120) NOT NULL default '',
	  title varchar(120) NOT NULL default '',
	  description text NOT NULL,
	  optionscode text NOT NULL,
	  value text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  gid smallint(6) NOT NULL default '0',
	  PRIMARY KEY  (sid)
	);");

	$db->drop_table("reportedposts");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."reportedposts (
	  rid smallint(6) NOT NULL auto_increment,
	  pid smallint(6) NOT NULL,
	  tid smallint(6) NOT NULL,
	  fid smallint(6) NOT NULL,
	  uid smallint(6) NOT NULL,
	  reportstatus int(1) NOT NULL,
	  reason varchar(250) NOT NULL,
	  dateline bigint(30) NOT NULL,
	  PRIMARY KEY (rid)
	);");

	$db->drop_table("threadsread");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."threadsread (
	  tid smallint(6) NOT NULL,
	  uid smallint(6) NOT NULL,
	  dateline int(10) NOT NULL,
	  UNIQUE KEY tiduid (tid, uid)
	);");
	$contents .= "terminé</p>";

	$output->print_contents("$contents<p>Cliquez sur \"Suivant\" pour continuer le processus de mise à jour.</p>");
	$output->print_footer("2_dbchanges2");
}

function upgrade2_dbchanges2()
{
	global $db, $output;

	$output->print_header("Changements dans la base de données depuis la distribution Release Candidate 3");
	$contents .= "<p>Réinsertion des paramètres...";

	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed', 'Forum fermé', 'Si vous avez devez fermer votre forum pour modifications ou mise à jour, faites-le ici. Les visiteurs ne pourront voir vos forums, cependant, ils verront le message en indiquant la raison ci-dessous.</b>', 'yesno', 'no', 1, 26);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed_reason', 'Raison de fermeture du forum', 'Si votre forum est fermé, vous pouvez laisser ici le message que vos visiteurs varront s’ils viennent sur le forum.', 'textarea', 'Ces forums sont actuellement fermés pour maintenance. Veuillez revenir plus tard.', 2, 26);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bbname', 'Nom du Forum', 'Le nom de votre forum. Nous vous recommandons de ne pas dépasser 75 caractères.', 'text', 'MyBB Forums', 1, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bburl', 'URL du Forum', 'L’url de vos forums.<br />Incluez http://. N’incluez PAS de slash terminal.', 'text', '', 2, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homename', 'Nom de la page d’accueil', 'Le nom de votre page d’accueil. Le lien sur celle-ci sera inséré dans le pied de page.', 'text', 'MyBB', 3, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homeurl', 'URL de la page d’accueil', 'L'URL complète de votre page d’accueil. Le lien sera inséré dans le pied de page ainsi que son nom.', 'text', 'https://mybb.com', 4, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dateformat', 'Format de date', 'Le format des dates utilisé sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sûr de ce que vous faites.', 'text', 'm-d-Y', 1, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'adminemail', 'Email Admin', 'L’adresse email de l’administrateur. Elle sera utilisée pour l’envoi de messages via les forums.', 'text', '', 5, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timeformat', 'Format d’heure', 'Le format des heures utilisé sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sûr de ce que vous faites.', 'text', 'h:i A', 2, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadsperpage', 'Sujets par page', '', 'text', '20', 1, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'stickyprefix', 'Préfixe des sujets Post-it', 'Le préfixe des sujets qui ont été mis en post-it par un modérateur ou un administrateur.', 'text', '<b>Sticky:</b>', 2, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopic', 'Réponses pour un sujet Hot', 'Le nombre de réponses nécessaires à un sujet pour qu’il soit considéré comme ’hot’.', 'text', '20', 3, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiedomain', 'Domaine des Cookies', 'Le domaine dans lequel seront placés les cookies. Peut rester vide. Peut aussi commencer par un . ainsi tous les sous-domaines sont couverts.', 'text', '', 8, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiepath', 'Chemin des cookies', 'Le chemin dans lequel seront placés les cookies, nous vous recommandons de mettre le chemin complet sur le répertoire de vos forums avec un slash terminal.', 'text', '', 9, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pollprefix', 'Préfixe des sondages', 'Le préfixe de l’affichage du forum contant les sondages.', 'text', '<b>Poll:</b>', 4, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postsperpage', 'Messages par page:', 'Le nombre de messages à afficher par page. Nous vous recommandons de ne pas dépasser 20 pour les gens ayant des connexions lentes.', 'text', '10', 1, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regdateformat', 'Format date d’enregistrement', 'Le format utilisé pour indiquer la date d’enregistrement de l’utilisateur dans l’affichage des sujets.', 'text', 'M Y', 3, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigmycode', 'Autoriser myCode dans les signatures', 'Voulez-vous autoriser l’utilisation de myCode dans les signatures d’utilisateurs ?', 'yesno', 'yes', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigsmilies', 'Autoriser les émoticônes dans les signatures', 'Voulez-vous autoriser l’utilisation des émoticônes dans les signatures d’utilisateurs ?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sightml', 'Autoriser le HTML dans les signatures', 'Voulez-vous autoriser l’utilisation du HTML dans les signatures d’utilisateurs ?', 'yesno', 'no', 4, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigimgcode', 'Autoriser le code [img] dans les signatures', 'Voulez-vous autoriser l’utilisation du code [img] dans les signatures d’utilisateurs ?', 'yesno', 'yes', 5, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'quoteboxstyle', 'Boîtes citation fantaisie', 'En sélectionnant oui, les citations seront dans une table et auront un look plus professionnel. En sélectionnant non, les citations auront leur aspect habituel.', 'yesno', 'yes', 1, 10);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'codeboxstyle', 'Boîtes code fantaisie', 'En sélectionnant oui, les codes seront dans une table et auront un look plus professionnel. En sélectionnant non, les codes auront leur aspect habituel.', 'yesno', 'yes', 2, 10);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadusenetstyle', 'Visualiser les sujets style Usenet', 'Si vous choisissez oui, les messages auront un aspect similaire à ceux de USENET. Non donnera aux messages le style moderne.', 'yesno', 'no', 4, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowhtml', 'Autoriser le HTML', 'Si vous choisissez oui, le HTML peut &ecirc:tre utilisé dans les messages privés.', 'yesno', 'no', 1, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowmycode', 'Autoriser MyCode', 'Si vous choisissez oui, MyCode peut &ecirc:tre utilisé dans les messages privés.', 'yesno', 'yes', 2, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowsmilies', 'Autoriser les emoticônes', 'Si vous choisissez oui, les emoticônes pourront &ecirc:tre utilisés dans les messages privés.', 'yesno', 'yes', 3, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowimgcode', 'Autoriser le code [img]', 'Si vous choisissez oui, les codes [img] pourront &ecirc:tre utilisés dans les messages privés.', 'yesno', 'yes', 4, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'siglength', 'Limite de longueur des signatures', 'Le nombre maximum de caractères qu’un utilisateur peut mettre dans une signature.', 'text', '255', 6, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'messagelength', 'Longueur maximale du message', 'Le nombre maximum de caractères autorisés dans un message. Si vous mettez à 0, la longueur est illimitée.', 'text', '0', 1, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'membersperpage', 'Membres par page', 'Le nombre de membres à afficher par page dans la liste des membres.', 'text', '20', 1, 12);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'load', 'Limitation Charge *NIX', 'Limite le maximum de charge du serveur avant que myBB ne rejette les visiteurs. 0 pour aucune. La limite recommandée est 5.0.', 'text', '0', 5, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailkeep', 'Garder email utilisateurs', 'Si un utilisateur a un email déjà enregistré dans votre liste de bannis, il peut &ecirc:tre autorisé à le garder.', 'yesno', 'no', 4, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'ipban', 'Bannir par IP', 'Ici, vous pouvez spécifier des adresses IP ou une plage d’adressess IP. Vous pouvez séparer chaque IP par une virgule.', 'textarea', '', 2, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailban', 'Bannir par Email', 'Vous pouvez spécifier des adresses email spécifiques à bannir, ou vous pouvez spécifier un domaine. Vous devez séparer les adresses email et les domaines par un espace.', 'textarea', '', 3, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatarsize', 'Taille maximum de l’Avatar uploadé', 'Taille maximum du fichier (en kilooctets) des avatars uploadés.', 'text', '10', 8, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatardir', 'Dossier des Avatars', 'Le dossier où vos avatars sont stockés. Ceci est utilisé dans la liste des avatars du CP Utilisateur.', 'text', 'images/avatars', 7, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedby', 'Afficher le message ’édité par’', 'Quand un message est modifié par un utilisateur régulier, voulez-vous afficher le message ’édité par’ ?', 'yesno', 'yes', 6, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxposts', 'Messages maximum par jour', 'Le nombre total de messages autorisés par utilisateur et par jour. 0 pour illimité.', 'text', '0', 2, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedbyadmin', 'Afficher les messages ’édité par’ pour l'Equipe du Forum', 'Voulez-vous afficher le message ’édité par’ pour l'équipe du forum quand ils éditent leurs propres posts ?', 'yesno', 'yes', 7, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bannedusernames', 'Vous devez séparerusernames', 'Bannir Nom d’Utilisateurs', 'Bannir des utilisateurs en enregistrant certains noms. Séparez-les par un espace.', 'textarea', 'drcracker Oops! hmmm', 1, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpolloptions', 'Nombre maximum d’options de sondage', 'Le nombre maximum d’options pour les sondages que les utilisateurs peuvent poster.', 'text', '10', 3, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dotfolders', 'Utiliser les icônes ’point’', 'Voulez-vous afficher des points sur les indicateurs de sujets auxquels les utilisateurs ont participé.', 'yesno', 'yes', 8, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'contactlink', 'Lien Nous contacter', 'Ceci sera utilisé pour le lien ’Nous contacter’ au pied de toutes les pages des forums. Ce peut &ecirc:tre une adresse (utilisant mailto:email@website.com) ou un hyperlien.', 'text', 'mailto:contact@mybb.com', 6, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showdescriptions', 'Afficher descriptions Forum ?', 'Cette option vous permet de désactiver l’affichage des descriptions pour les forums.', 'yesno', 'yes', 1, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showbirthdays', 'Afficher les anniversaires du jour ?', 'Voulez-vous afficher les anniversaires du jour sur la page d’accueil du forum ?', 'yesno', 'yes', 2, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showwol', 'Afficher qui est en ligne ?', 'Afficher les utilisateurs actuellement actifs sur la la page d'accueil du forum.', 'yesno', 'yes', 4, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hideprivateforums', 'Cacher les forums privés ?', 'Vous pouvez cacher des forums privés en activant cette option. Cette option cache aussi les forums dans les liens sur les forums et tous les sous-forums.', 'yesno', 'yes', 3, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showsimilarthreads', 'Afficher le tableau des ’Sujets Similaires’', 'Le tableau des sujets similaires affiche les sujets qui ont un rapport avec le sujet actuellement lu. Vous pouvez déterminer la pertinence du rapport ci-dessous.', 'yesno', 'no', 5, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarityrating', 'Pertinence de rapport de sujets similaires', 'Ceci vous permet de limiter les sujets similaires à ceux ayant le plus de rapport (0 étant sans rapport). Ce nombre ne doit pas dépasser 10 et ne doit pas &ecirc:tre trop petit (<5) pour de gros forums.', 'text', '1', 7, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarlimit', 'Limite de sujets similaires', 'Ici vous pouvez modifier le nombre total de sujets similaires à afficher dans le tableau des sujets similaires. Il est recommandé de ne pas dépasser 15 pour les utilisateurs en 56k.', 'text', '10', 8, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'privateeventcolor', 'Couleur des événements privés', 'La couleur que prendront les événements privés sur la page principale du calendrier.', 'text', 'red', 2, 17);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'publiceventcolor', 'Couleur des événements publics', 'La couleur que prendront les événements publics sur la page principale du calendrier.', 'text', 'green', 1, 17);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'movedprefix', 'Préfixe des sujets déplacés', 'Le préfixe que les sujets déplacés vers un autre forum doivent avoir.', 'text', '<b>Moved:</b>', 5, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopicviews', 'Affichages pour un sujet Hot', 'Le nombre d'affichages nécessaires à un sujet pout qu'il soit considéré comme ’hot’.', 'text', '150', 7, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'logip', 'Journal des adresses IP des posteurs', 'Voulez-vous établir un journal des addresses ip des utilisateurs qui postent, et qui acceptent aussi de montrer leurs adresses ip.', 'radio\r\nno=Pas de journal des IP\r\nhide=Afficher aux Admins & Mods\r\nshow=Afficher à tous les utilisateurs', 'hide', 3, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'statslimit', 'Limite des statistiques', 'Le nombre de sujets à afficher dans la page statistiques pour les records de réponses et d’affichages.', 'text', '15', 10, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'modlist', 'Liste des modérateurs des Forums', 'Ici vous pouvez activer ou désactiver la liste des modérateurs pour chaque forum de index.php et de forumdisplay.php', 'onoff', 'on', 5, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinserter', 'Insertion d’émoticônes cliquables', 'Les émoticônes cliquables apparaîtront dans les pages d’envoi de message si cette option est mise sur ’on’.', 'onoff', 'on', 1, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertertot', 'Nb. d’émoticônes à afficher', 'Entrez le nombre total d’émoticônes à afficher dans le panneau d’insertion d’émoticônes.', 'text', '20', 2, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertercols', 'Nb. de colonnes d’émoticônes à afficher', 'Entrez le nombre de colonnes que vous voulez afficher dans le panneau d’insertion d’émoticônes.', 'text', '4', 3, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showindexstats', 'Afficher la section des petites statistiques', 'Voulez-vous afficher le nombre total de sujets, de messages, de membres, et le dernier membre sur l’accueil du forum ?', 'yesno', 'yes', 6, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regtype', 'Méthode d’enregistrement', 'Veuillez sélectionner la méthode à utiliser quand les utilisateurs s’enregistrent.', 'select\r\ninstant=Activation immédiate\r\nverify=Vérification par envoi d'email\r\nrandompass=Envoyer un mot de passe aléatoire', 'verify', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'userpppoptions', 'Choix du nombre de messages par page', 'Si vous voulez que les utilisateurs puissent sélectionner le nombre de messages à afficher par page dans un sujet, entrez les options qu’ils pourront choisir, séparées par des virgules. Si ce champ est laissé vide, ils ne pourront choisir le nombre de messages par page.', 'text', '5,10,20,25,30,40,50', 2, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usertppoptions', 'Nombre de sujets sélectionnable par page', Si vous voulez autoriser les utilisateurs à choisir le nombre de sujets à afficher par page dans un forum, entrez les options qu’ils pourront sélectionner séparées par des virgules. Si vous laissez ce champ vide, le choix du nombre de sujets par page ne sera pas accessible.', 'text', '10,20,25,30,40,50', 6, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'wolcutoffmins', 'Délai de coupure (minutes)', 'Le nombre de minutes avant qu’un utilisateur soit marqué hors-ligne. Recommandé: 15.', 'text', '15', 1, 23);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodcheck', 'Vérification du Flood', 'Mettez à on si vous voulez activer la vérification du flood pour les messages. Spécifiez ci-dessous l’intervalle de temps entre les messages.', 'onoff', 'on', 4, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodsecs', 'Délai du Flood', 'Indiquez le temps (en secondes) d’attente des utilisateurs entre deux messages. Pour prendre effet, l'option ci-dessus doit &ecirc:tre sur on.', 'text', '60', 5, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'gzipoutput', 'Utiliser la compression GZip des pages ?', 'Voulez-vous compresser les pages au format GZip quand elles sont envoyées au navigateur ? Ceci entraîne des téléchargements plus rapides pour vos visiteurs, et un trafic moindre pour vous.', 'yesno', 'yes', 1, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'standardheaders', 'Envoyer des ent&ecirc:tes standard', 'Avec certains serveurs web, cette option peut causer des problèmes, avec d’autres, elle est nécessaire. ', 'yesno', 'no', 2, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'nocacheheaders', 'Envoyer des ent&ecirc:tes sans cache', 'Avec cette option vous pouvez emp&ecirc:cher la mise en cache de la page par le navigateur.', 'yesno', 'no', 3, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpostimages', 'Images maximum par message', 'Entrez le nombre maximum d’images (incluant les émoticônes) qu’un utilisateur peut mettre dans son message. Mettez à 0 pour désactiver ceci.', 'text', '10', 8, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxsigimages', 'Nombre maximum d’images par signature', 'Entrez le nombre maximum d’images (incluant les émoticônes) qu’un utilisateur peut mettre dans sa signature. Mettez à 0 pour désactiver entièrement les images dans les signatures.', 'text', '2', 2, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'browsingthisforum', 'Utilisateurs parcourant ce Forum', 'Ici vous pouvez désactiver la fonctionnalité ’utilisateurs parcourant ce forum’.', 'onoff', 'on', 9, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usereferrals', 'Utiliser le système Referrals', 'Voulez-vous utiliser le système referrals d’utilisateur dans ces forums ?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subscribeexcerpt', 'Nombre ce caractères pour Notificaton de réponse', 'Combien de caractères du message voulez-vous envoyer avec la notification email d’une nouvelle réponse.', 'text', '100', 9, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cpstyle', 'Style du Panneau de Contrôle', 'Le style par défaut utilisé par le Panneau de Contrôle. Les styles sont dans le dossier styles. Un nom de dossier dans ce dossier devient le titre du style et style.css dans le dossier du titre de style est le fichier style css.', 'cpstyle', 'Axiom', 2, 28);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cplanguage', 'Langue du Panneau de Contrôle', 'La langue du Panneau de Contrôle.', 'adminlanguage', 'english', 1, 28);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'minnamelength', 'Longueur minimum du Nom d’utilisateur', 'Le nombre minimum de caractères du nom qu’un utilisateur peut utiliser pour s’enregistrer.', 'text', '3', 5, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxnamelength', 'Longueur maximum Nom d’utilisateur', 'Le nombre maximum de caractères du nom qu’un utilisateur peut utiliser pour s’enregistrer.', 'text', '30', 6, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'redirects', 'Redirection commentée des pages', 'Ceci active la redirection commentée des pages au lieu d’envoyer directement l’utilisateur sur la page.', 'onoff', 'on', 4, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'betweenregstime', 'Intervalle de temps entre enregistrements', 'L’intervalle de temps (en heures) pour interdire l’enregistrement à des utilisateurs qui ont déjà enregistré un compte avec la m&ecirc:me adresse ip.', 'text', '24', 2, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxregsbetweentime', 'Maximum d’enregistrements par adresse IP', 'Cette option vous permet de fixer le nombre maximum de fois qu’un utilisateur donné peut s'enregistrer dans l’intervalle de temps spécifié ci-dessus.', 'text', '2', 4, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistré sur la page du portail ?', 'yesno', 'yes', 5, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showpms', 'Afficher le nombre de MPs des utilisateurs', 'Voulez-vous afficher le nombre de messages privés que l’utilisateur actuel a dans son système pm.', 'yesno', 'yes', 4, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwelcome', 'Afficher la boîte de bienvenue', 'Voulez-vous afficher la boîte de bienvenue aux visiteurs / utilisateurs.', 'yesno', 'yes', 3, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_numannouncements', 'Nombre d’annonces à afficher', 'Veuillez entrer le nombre d’annonces à afficher dans la page principale.', 'text', '10', 2, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistré sur la page du portail ?', 'yesno', 'yes', 5, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l’information ’Qui est en ligne’ aux utilisateurs visitant la page du portail ?', 'yesno', 'yes', 6, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_announcementsfid', 'ID du Forum pour récupérer les annonces', 'Veuillez entrer les ids de forum (fid) du(des) forum(s) d’où vous voulez récupérer les annonces. Séparez-les par une virgule (,)', 'text', '1', 1, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de dernières discussions à afficher', 'Veuillez entrer le nombre de discussions du forum actuel à afficher sur la page du portail.', 'text', '10', 8, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l’information ’Qui est en ligne’ aux utilisateurs visitant la page du portail ?', 'yesno', 'yes', 6, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showsearch', 'Afficher la boîte de recherche', 'Voulez-vous afficher la boîte de recherche, permettant aux utilisateurs de rechercher rapidement dans le forum sur la page du portail ?', 'yesno', 'yes', 7, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussions', 'Afficher les dernières discussions', 'Voulez-vous afficher les discussions actuelles du forum sur la page du portail ?', 'yesno', 'yes', 8, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de dernières discussions à afficher', 'Veuillez entrer le nombre de discussions du forum actuel à afficher sur la page du portail.', 'text', '10', 9, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbh', 'Hauteur maximum pour les miniatures de pièces jointes', 'Entrez la hauteur maximale de génération des miniatures.', 'text', '60', 12, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbw', 'Largeur maximum pour les miniatures de pièces jointes', 'Entrez la largeur maximale de génération des miniatures.', 'text', '60', 13, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxattachments', 'Maximum de pièces jointes par message', 'Le nombre maximum de pièces jointes qu’un utilisateur est autorisé à uploader par message.', 'text', '5', 10, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbnails', 'Afficher les miniatures de pièces jointes dans les messages', 'Voulez-vous afficher les miniatures générées pour les images jointes dans les messages ?', 'yesno', 'yes', 11, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'polloptionlimit', 'Longueur maximum de l’option Sondage', 'La longueur maximum que chaque option de sondage peut avoir. (Mettez à 0 pour désactiver).', 'text', '250', 1, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timezoneoffset', 'Fuseau horaire par défaut', 'Vous pouvez ici déterminer le fuseau horaire par défaut pour les invités et les membres utilisant le fuseau par défaut.', 'text', '+1', 4, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bblanguage', 'Langue par défaut', 'La langue par défaut que MyBB devra utiliser pour les invités et pour les utilisateurs sans langue sélectionnée dans leur panneau de contrôle.', 'language', 'english', 7, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regimage', 'Image d’enregistrement antispam', 'Si oui, et que GD est installé, une image est affichée pendant l’enregistrement et les utilisateurs doivent entrer le texte contenu dans l'image pour continuer l’enregistrement.', 'onoff', 'on', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'reportmethod', 'Media des messages signalés', 'Veuillez sélectionner dans la liste comment vous voulez que les messages signalés soient distribués. Le stockage dans la base de données est probablement la meilleure des options listées.', 'radio\r\ndb=Stocké dans la Base de données\r\npms=Envoyé comme message privé\r\nemail=Envoyé par Email', 'db', 1, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadreadcut', 'Lire les sujets dans la base de données (Jours)', 'Le nombre de jours pendant lesquels vous voulez conserver l’information de lecture de sujet dans la base de données. Pour de gros forums, nous ne vous recommandons pas un grand nombre sinon le forum deviendra plus lent. Mettez à 0 pour désactiver.', 'text', '7', 3, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'announcementlimit', 'Limite d’annonces', 'Le nombre d’annonces de forum à afficher dans la liste des sujets sur les pages du forum. Mettez à 0 pour désactiver entièrement les annonces.', 'text', '2', 10, 7);");

	$output->print_contents("$contents<p>Cliquez sur \"Suivant\" pour continuer le processus de mise à jour.</p>");
	$output->print_footer("2_done");
}
