﻿<?php
/**
 * MyBB 1.8
 * Copyright 2014 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybb.com
 * License: http://www.mybb.com/about/license
 *
 */

/**
 * Upgrade Script: Release Candidate 4
 */

$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 1,
	"requires_deactivated_plugins" => 1,
);

@set_time_limit(0);

function upgrade3_dbchanges()
{
	global $db, $output;

	$output->print_header("Conversion des pièces jointes en fichiers");

	$contents = "<p>La première étape du processus de mise à jour depuis RC4 est de déplacer vos pièces jointes et vos avatars dans le système de fichiers.</p>";

	if(!@is_dir("../uploads/"))
	{
		$errors = "<p>../uploads/ n'existe pas dans le répertoire de votre forum. Veuillez créer ce dossier.";
	}
	else
	{
		if(!@is_writable("../uploads/"))
		{
			@my_chmod("../uploads", '0777');
			if(!@is_writable("../uploads/"))
			{
				$errors = "<p>../uploads/ n'est pas en mode écriture! Veuillez faire en sorte qu'il le soit (chmod 766 ou 777).";
			}
		}
	}
	if(!@is_dir("../uploads/avatars/"))
	{
		$errors .= "<p>../uploads/avatars/ n'existe pas. Veuillez créer ce dossier.";
	}
	else
	{
		if(!@is_writable("../uploads/avatars/"))
		{
			@my_chmod("../uploads/avatars/", '0777');
			if(!is_writable("../uploads/avatars/"))
			{
				$errors = "<p>../uploads/avatars/ n'est pas en mode écriture! Veuillez faire en sorte qu'il le soit (chmod 766 ou 777).";
			}
		}
	}

	if($errors)
	{
		$output->print_contents($contents."<p><span style=\"red\">Afin de pouvoir faire cela, vous devez exécuter ce qui suit:</span></p>$errors");
		$output->print_footer("3_dbchanges");
		exit;
	}

	$contents .= "<p>Bien, nous avons déterminé que les paramètres du dossier spécifié ont été trouvés.</p>Si vous voulez changer le nombre de pièces jointes &agrave traiter par page, vous pouvez le faire ci-dessous.</p>";
	$contents .= "<p><strong>Pièces jointes par page:</strong> <input type=\"text\" size=\"3\" value=\"50\" name=\"attachmentspage\" /></p>";
	$contents .= "<p>Quand vous serez prêt, cliquez sur \"Suivant\" pour commencer la conversion.</p>";

	$output->print_contents($contents);
	$output->print_footer("3_convertattachments");
}

function upgrade3_convertattachments()
{
	global $db, $output, $settings;

	$output->print_header("Conversion des pièces jointes en fichiers");

	if(!$_POST['attachmentspage'])
	{
		$app = 50;
	}
	else
	{
		$app = (int)$_POST['attachmentspage'];
	}

	if($_POST['attachmentstart'])
	{
		$startat = (int)$_POST['attachmentstart'];
		$upper = $startat+$app;
		$lower = $startat;
	}
	else
	{
		$startat = 0;
		$upper = $app;
		$lower = 1;
	}

	require_once MYBB_ROOT."inc/settings.php";

	$query = $db->simple_select("attachments", "COUNT(aid) AS attachcount");
	$cnt = $db->fetch_array($query);

	$contents .= "<p>Conversion des pièces jointes $lower sur $upper (".$cnt['attachcount']." au total)</p>";
	echo "<p>Conversion des pièces jointes $lower to $upper (".$cnt['attachcount']." au total)</p>";

	if($db->field_exists("uid", "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP uid;");
	}
	// Add uid column
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments ADD uid smallint(6) NOT NULL AFTER posthash;");


	if($db->field_exists("thumbnail", "attachments"))
	{
		// Drop thumbnail column
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnail");
	}

	if($db->field_exists("thumbnail", "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnail;");
	}
	// Add thumbnail column
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments ADD thumbnail varchar(120) NOT NULL;");

	if($db->field_exists("attachname", "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP attachname;");
	}
	// Add attachname column
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments ADD attachname varchar(120) NOT NULL AFTER filesize;");

	if(!$db->field_exists("donecon", "attachments"))
	{
		// Add temporary column
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments ADD donecon smallint(1) NOT NULL;");
	}

	$query = $db->query("
		SELECT a.*, p.uid AS puid, p.dateline
		FROM ".TABLE_PREFIX."attachments a
		LEFT JOIN ".TABLE_PREFIX."posts p ON (p.pid=a.pid)
		WHERE a.donecon != '1'
		ORDER BY a.aid ASC LIMIT {$app}
	");
	while($attachment = $db->fetch_array($query))
	{
		$filename = "post_".$attachment['puid']."_".$attachment['dateline'].$attachment['aid'].".attach";
		$ext = my_strtolower(my_substr(strrchr($attachment['filename'], "."), 1));
		$fp = fopen("../uploads/".$filename, "wb");
		if(!$fp)
		{
			die("Impossible de créer le fichier. Veuillez vérifier les permissions et rafraîchir la page.");
		}
		fwrite($fp, $attachment['filedata']);
		fclose($fp);
		unset($attachment['filedata']);
		if($ext == "gif" || $ext == "png" || $ext == "jpg" || $ext == "jpeg" || $ext == "jpe")
		{
			require_once MYBB_ROOT."inc/functions_image.php";
			$thumbname = str_replace(".attach", "_thumb.$ext", $filename);
			$thumbnail = generate_thumbnail("../uploads/".$filename, "../uploads", $thumbname, $settings['attachthumbh'], $settings['attachthumbw']);
			if($thumbnail['code'] == 4)
			{
				// Image was too small - fake a filename
				$thumbnail['filename'] = "SMALL";
			}
		}
		$db->write_query("UPDATE ".TABLE_PREFIX."attachments SET attachname='".$filename."', donecon='1', uid='".$attachment['puid']."', thumbnail='".$thumbnail['filename']."' WHERE aid='".$attachment['aid']."'");
		unset($thumbnail);
	}

	echo "<p>Terminé.</p>";
	$query = $db->simple_select("attachments", "COUNT(aid) AS attachrem", "donecon != '1'");
	$cnt = $db->fetch_array($query);

	if($cnt['attachrem'] != 0)
	{
		$nextact = "3_convertattachments";
		$startat = $startat+$app;
		$contents .= "<p><input type=\"hidden\" name=\"attachmentspage\" value=\"$app\" /><input type=\"hidden\" name=\"attachmentstart\" value=\"$startat\" />Terminé. Cliquez Suivant pour déplacer une nouvelle série de pièces jointes.</p>";
	}
	else
	{
		if($db->field_exists("donecon", "attachments"))
		{
			$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP donecon");
		}

		if($db->field_exists("filedata", "attachments"))
		{
			$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP filedata");
		}

		if($db->field_exists("thumbnailsm", "attachments"))
		{
			$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnailsm");
		}
		$nextact = "3_convertavatars";
		$contents .= "<p>Terminé</p><p>Toutes les pièces jointes ont été déplacées dans le système de fichiers. L'étape suivante consiste à convertir les avatars dans le système de fichiers.</p>";
		$contents .= "<p>Si vous voulez changer le nombre d'avatars uploadés à traiter par page, vous pouvez le faire ci-dessous.</p>";
		$contents .= "<p><strong>Avatars par page:</strong> <input type=\"text\" size=\"3\" value=\"200\" name=\"userspage\" /></p>";
		$contents .= "<p>Quand vous serez prêt, cliquez sur \"Suivant\" pour commencer la conversion.</p>";
	}
	$output->print_contents($contents);
	$output->print_footer($nextact);
}

function upgrade3_convertavatars()
{
	global $db, $output;

	$output->print_header("Conversion d'avatars en fichiers");

	if(!$_POST['userspage'])
	{
		$app = 50;
	}
	else
	{
		$app = (int)$_POST['userspage'];
	}

	if($_POST['avatarstart'])
	{
		$startat = (int)$_POST['avatarstart'];
		$upper = $startat+$app;
		$lower = $startat;
	}
	else
	{
		$startat = 0;
		$upper = $app;
		$lower = 1;
	}

	require_once MYBB_ROOT."inc/settings.php";

	$query = $db->simple_select("avatars", "COUNT(uid) AS avatarcount");
	$cnt = $db->fetch_array($query);

	$contents .= "<p>Conversion des avatars $lower sur $upper (".$cnt['avatarcount']." au total)</p>";

	// Add temporary column
	if(!$db->field_exists("donecon", "avatars"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."avatars ADD donecon smallint(1) NOT NULL;");
	}

	if($db->field_exists("avatartype", "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP avatartype;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD avatartype varchar(10) NOT NULL AFTER avatar;");

	$query = $db->simple_select("avatars", "*", "donecon != '1'", array('order_by' => 'uid', 'order_dir' => 'asc', 'limit' => $app));
	while($avatar = $db->fetch_array($query))
	{
		$ext = "";
		switch($avatar['type'])
		{
			case "image/jpeg":
			case "image/jpg":
			case "image/pjpeg":
				$ext = "jpg";
				break;
			case "image/x-png":
			case "image/png":
				$ext = "png";
				break;
			case "image/gif":
				$ext = "gif";
				break;
		}

		if($ext)
		{
			$filename = "avatar_".$avatar['uid'].".".$ext;
			$fp = @fopen("../uploads/avatars/".$filename, "wb");
			if(!$fp)
			{
				die("Impossible de créer le fichier. Veuillez vérifier les permissions et rafraîchir la page.");
			}
			fwrite($fp, $avatar['avatar']);
			fclose($fp);
			$db->write_query("UPDATE ".TABLE_PREFIX."avatars SET donecon='1' WHERE uid='".$avatar['uid']."'");
			$db->write_query("UPDATE ".TABLE_PREFIX."users SET avatar='uploads/avatars/$filename', avatartype='upload' WHERE uid='".$avatar['uid']."'");
		}
	}

	echo "<p>Terminé.</p>";
	$query = $db->simple_select("avatars", "COUNT(uid) AS avatarsrem", "donecon!='1'");
	$cnt = $db->fetch_array($query);

	if($cnt['avatarsrem'] != 0)
	{
		$nextact = "3_convertavatars";
		$startat = $startat+$app;
		$contents .= "<p><input type=\"hidden\" name=\"userspage\" value=\"$app\" /><input type=\"hidden\" name=\"avatarstart\" value=\"$startat\" />Terminé. Cliquez Suivant pour déplacer une nouvelle série d'avatars.</p>";
	}
	else
	{
		$db->drop_table("avatars");
		$nextact = "3_dbchanges2";
		$contents .= "<p>Terminé</p><p>Tous les avatars ont été déplacés dans le système de fichiers. L'étape suivante consiste à faire les modifications nécessaires dans la base de données pour MyBB Gold.</p>";
	}
	$output->print_contents($contents);
	$output->print_footer($nextact);
}

function upgrade3_dbchanges2()
{
	global $db, $output;

	$output->print_header("Modifications dans la base de données");

	$contents = "<p>Exécution des changements nécessaires.</p>";

	if($db->field_exists("additionalgroups", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP additionalgroups;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD additionalgroups varchar(200) NOT NULL default '' AFTER usergroup;");

	if($db->field_exists("displaygroup", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP displaygroup;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD displaygroup smallint(6) NOT NULL default '0' AFTER additionalgroups;");

	if($db->field_exists("candisplaygroup", "usergroups"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups DROP candisplaygroup;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD candisplaygroup varchar(3) NOT NULL;");

	if($db->field_exists("reason", "banned"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned DROP reason;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned ADD reason varchar(200) NOT NULL");

	if($db->field_exists("rulestype", "forums"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums DROP rulestype;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums ADD rulestype smallint(1) NOT NULL;");

	if($db->field_exists("rulestitle", "forums"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums DROP rulestitle;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums ADD rulestitle varchar(200) NOT NULL;");

	if($db->field_exists("rules", "forums"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums DROP rules;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums ADD rules text NOT NULL;");

	if($db->field_exists("usetranslation", "helpdocs"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums DROP helpdocs;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs ADD usetranslation CHAR( 3 ) NOT NULL AFTER document;");

	if($db->field_exists("enabled", "helpdocs"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs DROP enabled;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs ADD enabled CHAR( 3 ) NOT NULL AFTER usetranslation;");

		/*

		This will break the upgrade for users who have customised help documents
		
		$db->write_query("UPDATE ".TABLE_PREFIX."helpdocs SET hid='6' WHERE hid='7'");
		$db->write_query("UPDATE ".TABLE_PREFIX."helpdocs SET hid='7' WHERE hid='8'");*/

	if($db->field_exists("usetranslation", "helpsections"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections DROP usetranslation;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections ADD usetranslation CHAR( 3 ) NOT NULL AFTER description;");

	if($db->field_exists("enabled", "helpsections"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections DROP enabled;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections ADD enabled CHAR( 3 ) NOT NULL AFTER usetranslation;");

	if($db->field_exists("firstpost", "threads"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads DROP firstpost;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads ADD firstpost int unsigned NOT NULL default '0' AFTER dateline;");

	if($db->field_exists("attachquota", "usergroups"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups DROP attachquota;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD attachquota bigint(30) NOT NULL default '0';");

	if($db->field_exists("cancustomtitle", "usergroups"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups DROP cancustomtitle;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups ADD cancustomtitle varchar(3) NOT NULL;");


	$db->drop_table("groupleaders");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."groupleaders (
	 lid smallint(6) NOT NULL auto_increment,
	 gid smallint(6) NOT NULL,
	 uid smallint(6) NOT NULL,
	 PRIMARY KEY(lid)
	);");

	$db->drop_table("joinrequests");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."joinrequests (
	 rid smallint(6) NOT NULL auto_increment,
	 uid smallint(6) NOT NULL,
	 gid smallint(6) NOT NULL,
	 reason varchar(250) NOT NULL,
	 dateline bigint(30) NOT NULL,
	 PRIMARY KEY(rid)
	);");

	$db->drop_table("online");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."sessions (
	  sid varchar(32) NOT NULL default '',
	  uid int unsigned NOT NULL default '0',
	  ip varchar(40) NOT NULL default '',
	  time bigint(30) NOT NULL default '0',
	  location varchar(150) NOT NULL default '',
	  useragent varchar(100) NOT NULL default '',
	  anonymous int(1) NOT NULL default '0',
	  nopermission int(1) NOT NULL default '0',
	  location1 int(10) NOT NULL default '0',
	  location2 int(10) NOT NULL default '0',
	  PRIMARY KEY(sid),
	  KEY location1 (location1),
	  KEY location2 (location2)
	);");

	if($db->field_exists("salt", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP salt;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD salt varchar(10) NOT NULL AFTER password;");


	if($db->field_exists("loginkey", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP loginkey;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD loginkey varchar(50) NOT NULL AFTER salt;");


	if($db->field_exists("pmnotify", "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP pmnotify;");
	}
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD pmnotify varchar(3) NOT NULL AFTER pmpopup;");

	$collation = $db->build_create_table_collation();

	$db->drop_table("settinggroups");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."settinggroups (
	  gid smallint(6) NOT NULL auto_increment,
	  name varchar(220) NOT NULL default '',
	  description text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  isdefault char(3) NOT NULL default '',
	  PRIMARY KEY  (gid)
	) ENGINE=MyISAM{$collation};");

	$db->drop_table("settings");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."settings (
	  sid smallint(6) NOT NULL auto_increment,
	  name varchar(120) NOT NULL default '',
	  title varchar(120) NOT NULL default '',
	  description text NOT NULL,
	  optionscode text NOT NULL,
	  value text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  gid smallint(6) NOT NULL default '0',
	  PRIMARY KEY  (sid)
	) ENGINE=MyISAM{$collation};");

	$db->drop_table("datacache");
	$db->write_query("CREATE TABLE ".TABLE_PREFIX."datacache (
	  title varchar(30) NOT NULL default '',
	  cache mediumtext NOT NULL,
	  PRIMARY KEY(title)
	) ENGINE=MyISAM{$collation};");

	$contents .= "<p>Terminé</p>";
	$contents .= "<p>Suppression des param&egrave:tres et reconstruction...";

	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (1, 'Configuration générale', 'Cette section contient divers paramètres tels que le nom de votre forum et son url, ainsi que le nom de votre site web et son url..', 2, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (3, 'Formats de date et d’heure', 'Ici vous pouvez spécifier les différents Formats de date et d’heure utilisés pour afficher les dates et heures dans les forums.', 4, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (7, 'Options d’affichage du Forum', 'Cette section vous permet de gérer les différents paramètres utilisés dans l’affichage du forum (forumdisplay.php) de vos forums comme activer et désactiver différentes fonctionnalités.', 6, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (8, 'Options d’affichage du sujet', 'Cette section vous permet de gérer divers paramètres utilisés sur la page d’affichage du sujet (showthread.php) de vos forums comme l’activation ou la désactivation des différentes fonctionnalités.', 7, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (11, 'Messagerie privée', 'Diverses options relatives au système de Messagerie privée de MyBB (private.php) peuvent &ecirc:tre gérées et déterminées ici.', 11, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (12, 'Liste des membres', 'Cette section vous permet de contrôler divers aspects de la liste des membres du forum (memberlist.php), comme le nombre de membres à afficher par page, et les fonctionnalités à activer ou désactiver.', 10, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (13, 'Envoi de messages', 'Ces options contrôlent les divers éléments en relation à la création de nouveaux messages sur le forum.', 9, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (14, 'Options Bannissement', '', 15, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (16, 'Options Accueil du Forum', 'Cette section vous permet de gérer les différents paramètres utilisés sur l’accueil du forum (index.php) de vos forums comme l’activation ou la désactivation de différentes fonctionnalités.', 5, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (17, 'Calendrier', 'Le calendrier du forum permet de voir la liste des événements publics et privés et les anniversaires des membres. Cette section vous permet de contrôler et de gérer les paramètres du calendrier.', 12, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (27, 'Options Serveur et Optimisation', 'Ces options vous permettent de fixer des préférences de serveur et d’optimisation afin de réduire la charge de votre serveur, et d'atteindre une meilleure performance sur votre forum.', 3, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (19, 'Options d’Enregistrement et de Profil', 'Ici vous pouvez contrôler divers paramètres relatifs au compte d’utilisateur, enregistrement et gestion.', 8, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (20, 'Emoticônes cliquables et BB Code', '', 17, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (23, 'Qui est en ligne', '', 13, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (26, 'Forum En-Ligne / Hors-Ligne', 'Ces paramètres vous permettent de basculer globalement votre forum en-ligne ou hors-ligne, et éventuellement d’en spécifier la raison.', 1, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (28, 'Préférences Panneau de Contrôle (Global)', '', 19, 'yes');");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settinggroups (gid, name, description, disporder, isdefault) VALUES (30, 'Paramètres du Portail', '', 14, 'yes');");

	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed', 'Forum fermé', 'Si vous avez devez fermer votre forum pour modifications ou mise à jour, faites-le ici. Les visiteurs ne pourront voir vos forums, cependant, ils verront le message en indiquant la raison ci-dessous.</b>', 'yesno', 'no', 1, 26);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'boardclosed_reason', 'Raison de fermeture du forum', 'Si votre forum est fermé, vous pouvez laisser ici le message que vos visiteurs varront s’ils viennent sur le forum.', 'textarea', 'Ces forums sont actuellement fermés pour maintenance. Veuillez revenir plus tard.', 2, 26);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bbname', 'Nom du Forum', 'Le nom de votre forum. Nous vous recommandons de ne pas dépasser 75 caractères.', 'text', 'MyBB Forums', 1, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bburl', 'URL du Forum', 'L’url de vos forums.<br />Incluez http://. N’incluez PAS de slash terminal.', 'text', '', 2, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homename', 'Nom de la page d’accueil', 'Le nom de votre page d’accueil. Le lien sur celle-ci sera inséré dans le pied de page.', 'text', 'MyBB', 3, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'homeurl', 'URL de la page d’accueil', 'L'URL complète de votre page d’accueil. Le lien sera inséré dans le pied de page ainsi que son nom.', 'text', 'http://www.mybboard.net', 4, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dateformat', 'Format de date', 'Le format des dates utilisé sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sûr de ce que vous faites.', 'text', 'm-d-Y', 1, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'adminemail', 'Email Admin', 'L’adresse email de l’administrateur. Elle sera utilisée pour l’envoi de messages via les forums.', 'text', '', 5, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timeformat', 'Format d’heure', 'Le format des heures utilisé sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes sûr de ce que vous faites.', 'text', 'h:i A', 2, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadsperpage', 'Sujets par page', '', 'text', '20', 1, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopic', 'Réponses pour un sujet Hot', 'Le nombre de réponses nécessaires à un sujet pour qu’il soit considéré comme ’hot’.', 'text', '20', 3, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiedomain', 'Domaine des Cookies', 'Le domaine dans lequel seront placés les cookies. Peut rester vide. Peut aussi commencer par un . ainsi tous les sous-domaines sont couverts.', 'text', '', 8, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cookiepath', 'Chemin des cookies', 'Le chemin dans lequel seront placés les cookies, nous vous recommandons de mettre le chemin complet sur le répertoire de vos forums avec un slash terminal.', 'text', '', 9, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postsperpage', 'Messages par page:', 'Le nombre de messages à afficher par page. Nous vous recommandons de ne pas dépasser 20 pour les gens ayant des connexions lentes.', 'text', '10', 1, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regdateformat', 'Format date d’enregistrement', 'Le format utilisé pour indiquer la date d’enregistrement de l’utilisateur dans l’affichage des sujets.', 'text', 'M Y', 3, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigmycode', 'Autoriser myCode dans les signatures', 'Voulez-vous autoriser l’utilisation de myCode dans les signatures d’utilisateurs ?', 'yesno', 'yes', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigsmilies', 'Autoriser les émoticônes dans les signatures', 'Voulez-vous autoriser l’utilisation des émoticônes dans les signatures d’utilisateurs ?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sightml', 'Autoriser le HTML dans les signatures', 'Voulez-vous autoriser l’utilisation du HTML dans les signatures d’utilisateurs ?', 'yesno', 'no', 4, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'sigimgcode', 'Autoriser le code [img] dans les signatures', 'Voulez-vous autoriser l’utilisation du code [img] dans les signatures d’utilisateurs ?', 'yesno', 'yes', 5, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadusenetstyle', 'Visualiser les sujets style Usenet', 'Si vous choisissez oui, les messages auront un aspect similaire à ceux de USENET. Non donnera aux messages le style moderne.', 'yesno', 'no', 4, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowhtml', 'Autoriser le HTML', 'Si vous choisissez oui, le HTML peut &ecirc:tre utilisé dans les messages privés.', 'yesno', 'no', 1, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowmycode', 'Autoriser MyCode', 'Si vous choisissez oui, MyCode peut &ecirc:tre utilisé dans les messages privés.', 'yesno', 'yes', 2, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowsmilies', 'Autoriser les emoticônes', 'Si vous choisissez oui, les emoticônes pourront &ecirc:tre utilisés dans les messages privés.', 'yesno', 'yes', 3, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'pmsallowimgcode', 'Autoriser le code [img]', 'Si vous choisissez oui, les codes [img] pourront &ecirc:tre utilisés dans les messages privés.', 'yesno', 'yes', 4, 11);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'siglength', 'Limite de longueur des signatures', 'Le nombre maximum de caractères qu’un utilisateur peut mettre dans une signature.', 'text', '255', 6, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'messagelength', 'Longueur maximale du message', 'Le nombre maximum de caractères autorisés dans un message. Si vous mettez à 0, la longueur est illimitée.', 'text', '0', 1, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'membersperpage', 'Membres par page', 'Le nombre de membres à afficher par page dans la liste des membres.', 'text', '20', 1, 12);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'load', 'Limitation Charge *NIX', 'Limite le maximum de charge du serveur avant que myBB ne rejette les visiteurs. 0 pour aucune. La limite recommandée est 5.0.', 'text', '0', 5, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailkeep', 'Garder email utilisateurs', 'Si un utilisateur a un email déjà enregistré dans votre liste de bannis, il peut &ecirc:tre autorisé à le garder.', 'yesno', 'no', 4, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'ipban', 'Bannir par IP', 'Ici, vous pouvez spécifier des adresses IP ou une plage d’adressess IP. Vous pouvez séparer chaque IP par une virgule.', 'textarea', '', 2, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'emailban', 'Bannir par Email', 'Vous pouvez spécifier des adresses email spécifiques à bannir, ou vous pouvez spécifier un domaine. Vous devez séparer les adresses email et les domaines par un espace.', 'textarea', '', 3, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatarsize', 'Taille maximum de l’Avatar uploadé', 'Taille maximum du fichier (en kilooctets) des avatars uploadés.', 'text', '10', 8, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avatardir', 'Dossier des Avatars', 'Le dossier où vos avatars sont stockés. Ceci est utilisé dans la liste des avatars du CP Utilisateur.', 'text', 'images/avatars', 7, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedby', 'Afficher le message ’édité par’', 'Quand un message est modifié par un utilisateur régulier, voulez-vous afficher le message ’édité par’ ?', 'yesno', 'yes', 6, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxposts', 'Messages maximum par jour', 'Le nombre total de messages autorisés par utilisateur et par jour. 0 pour illimité.', 'text', '0', 2, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showeditedbyadmin', 'Afficher les messages ’édité par’ pour l'Equipe du Forum', 'Voulez-vous afficher le message ’édité par’ pour l'équipe du forum quand ils éditent leurs propres posts ?', 'yesno', 'yes', 7, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bannedusernames', 'Vous devez séparerusernames', 'Bannir Nom d’Utilisateurs', 'Bannir des utilisateurs en enregistrant certains noms. Séparez-les par un espace.', 'textarea', 'drcracker Oops! hmmm', 1, 14);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpolloptions', 'Nombre maximum d’options de sondage', 'Le nombre maximum d’options pour les sondages que les utilisateurs peuvent poster.', 'text', '10', 3, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'dotfolders', 'Utiliser les icônes ’point’', 'Voulez-vous afficher des points sur les indicateurs de sujets auxquels les utilisateurs ont participé.', 'yesno', 'yes', 8, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'contactlink', 'Lien Nous contacter', 'Ceci sera utilisé pour le lien ’Nous contacter_' au pied de toutes les pages des forums. Ce peut &ecirc:tre une adresse (utilisant mailto:email@website.com) ou un hyperlien.', 'text', 'mailto:contact@mybboard.net', 6, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showdescriptions', 'Afficher descriptions Forum ?', 'Cette option vous permet de désactiver l’affichage des descriptions pour les forums.', 'yesno', 'yes', 1, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showbirthdays', 'Afficher les anniversaires du jour ?', 'Voulez-vous afficher les anniversaires du jour sur la page d’accueil du forum ?', 'yesno', 'yes', 2, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showwol', 'Afficher qui est en ligne ?', 'Afficher les utilisateurs actuellement actifs sur la la page d'accueil du forum.', 'yesno', 'yes', 4, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hideprivateforums', 'Cacher les forums privés ?', 'Vous pouvez cacher des forums privés en activant cette option. Cette option cache aussi les forums dans les liens sur les forums et tous les sous-forums.', 'yesno', 'yes', 3, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showsimilarthreads', 'Afficher le tableau des ’Sujets Similaires’', 'Le tableau des sujets similaires affiche les sujets qui ont un rapport avec le sujet actuellement lu. Vous pouvez déterminer la pertinence du rapport ci-dessous.', 'yesno', 'no', 5, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarityrating', 'Pertinence de rapport de sujets similaires', 'Ceci vous permet de limiter les sujets similaires à ceux ayant le plus de rapport (0 étant sans rapport). Ce nombre ne doit pas dépasser 10 et ne doit pas &ecirc:tre trop petit (<5) pour de gros forums.', 'text', '1', 7, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'similarlimit', 'Limite de sujets similaires', 'Ici vous pouvez modifier le nombre total de sujets similaires à afficher dans le tableau des sujets similaires. Il est recommandé de ne pas dépasser 15 pour les utilisateurs en 56k.', 'text', '10', 8, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'privateeventcolor', 'Couleur des événements privés', 'La couleur que prendront les événements privés sur la page principale du calendrier.', 'text', 'red', 2, 17);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'publiceventcolor', 'Couleur des événements publics', 'La couleur que prendront les événements publics sur la page principale du calendrier.', 'text', 'green', 1, 17);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'hottopicviews', 'Affichages pour un sujet Hot', 'Le nombre d'affichages nécessaires à un sujet pout qu'il soit considéré comme ’hot’.', 'text', '150', 7, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'logip', 'Journal des adresses IP des posteurs', 'Voulez-vous établir un journal des addresses ip des utilisateurs qui postent, et qui acceptent aussi de montrer leurs adresses ip.', 'radio\r\nno=Pas de journal des IP\r\nhide=Afficher aux Admins & Mods\r\nshow=Afficher à tous les utilisateurs', 'hide', 3, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'statslimit', 'Limite des statistiques', 'Le nombre de sujets à afficher dans la page statistiques pour les records de réponses et d’affichages.', 'text', '15', 10, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'modlist', 'Liste des modérateurs des Forums', 'Ici vous pouvez activer ou désactiver la liste des modérateurs pour chaque forum de index.php et de forumdisplay.php', 'onoff', 'on', 5, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinserter', 'Insertion d’émoticônes cliquables', 'Les émoticônes cliquables apparaîtront dans les pages d’envoi de message si cette option est mise sur ’on’.', 'onoff', 'on', 1, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertertot', 'Nb. d’émoticônes à afficher', 'Entrez le nombre total d’émoticônes à afficher dans le panneau d’insertion d’émoticônes.', 'text', '20', 2, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'smilieinsertercols', 'Nb. de colonnes d’émoticônes à afficher', 'Entrez le nombre de colonnes que vous voulez afficher dans le panneau d’insertion d’émoticônes.', 'text', '4', 3, 20);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showindexstats', 'Afficher la section des petites statistiques', 'Voulez-vous afficher le nombre total de sujets, de messages, de membres, et le dernier membre sur l’accueil du forum ?', 'yesno', 'yes', 6, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regtype', 'Méthode d’enregistrement', 'Veuillez sélectionner la méthode à utiliser quand les utilisateurs s’enregistrent.', 'select\r\ninstant=Activation immédiate\r\nverify=Vérification par envoi d'email\r\nrandompass=Envoyer un mot de passe aléatoire', 'verify', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'userpppoptions', 'Choix du nombre de messages par page', 'Si vous voulez que les utilisateurs puissent sélectionner le nombre de messages à afficher par page dans un sujet, entrez les options qu’ils pourront choisir, séparées par des virgules. Si ce champ est laissé vide, ils ne pourront choisir le nombre de messages par page.', 'text', '5,10,20,25,30,40,50', 2, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usertppoptions', 'Nombre de sujets sélectionnable par page', Si vous voulez autoriser les utilisateurs à choisir le nombre de sujets à afficher par page dans un forum, entrez les options qu’ils pourront sélectionner séparées par des virgules. Si vous laissez ce champ vide, le choix du nombre de sujets par page ne sera pas accessible.', 'text', '10,20,25,30,40,50', 6, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'wolcutoffmins', 'Délai de coupure (minutes)', 'Le nombre de minutes avant qu’un utilisateur soit marqué hors-ligne. Recommandé: 15.', 'text', '15', 1, 23);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodcheck', 'Vérification du Flood', 'Mettez à on si vous voulez activer la vérification du flood pour les messages. Spécifiez ci-dessous l’intervalle de temps entre les messages.', 'onoff', 'on', 4, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'postfloodsecs', 'Délai du Flood', 'Indiquez le temps (en secondes) d’attente des utilisateurs entre deux messages. Pour prendre effet, l'option ci-dessus doit &ecirc:tre sur on.', 'text', '60', 5, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'gzipoutput', 'Utiliser la compression GZip des pages ?', 'Voulez-vous compresser les pages au format GZip quand elles sont envoyées au navigateur ? Ceci entraîne des téléchargements plus rapides pour vos visiteurs, et un trafic moindre pour vous.', 'yesno', 'yes', 1, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'standardheaders', 'Envoyer des ent&ecirc:tes standard', 'Avec certains serveurs web, cette option peut causer des problèmes, avec d’autres, elle est nécessaire. ', 'yesno', 'no', 2, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'nocacheheaders', 'Envoyer des ent&ecirc:tes sans cache', 'Avec cette option vous pouvez emp&ecirc:cher la mise en cache de la page par le navigateur.', 'yesno', 'no', 3, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxpostimages', 'Images maximum par message', 'Entrez le nombre maximum d’images (incluant les émoticônes) qu’un utilisateur peut mettre dans son message. Mettez à 0 pour désactiver ceci.', 'text', '10', 8, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxsigimages', 'Nombre maximum d’images par signature', 'Entrez le nombre maximum d’images (incluant les émoticônes) qu’un utilisateur peut mettre dans sa signature. Mettez à 0 pour désactiver entièrement les images dans les signatures.', 'text', '2', 2, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'browsingthisforum', 'Utilisateurs parcourant ce Forum', 'Ici vous pouvez désactiver la fonctionnalité ’utilisateurs parcourant ce forum’.', 'onoff', 'on', 9, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'usereferrals', 'Utiliser le système Referrals', 'Voulez-vous utiliser le système referrals d’utilisateur dans ces forums ?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subscribeexcerpt', 'Nombre ce caractères pour Notificaton de réponse', 'Combien de caractères du message voulez-vous envoyer avec la notification email d’une nouvelle réponse.', 'text', '100', 9, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cpstyle', 'Style du Panneau de Contrôle', 'Le style par défaut utilisé par le Panneau de Contrôle. Les styles sont dans le dossier styles. Un nom de dossier dans ce dossier devient le titre du style et style.css dans le dossier du titre de style est le fichier style css.', 'cpstyle', 'Axiom', 2, 28);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'cplanguage', 'Langue du Panneau de Contrôle', 'La langue du Panneau de Contrôle.', 'adminlanguage', 'english', 1, 28);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'minnamelength', 'Longueur minimum du Nom d’utilisateur', 'Le nombre minimum de caractères du nom qu’un utilisateur peut utiliser pour s’enregistrer.', 'text', '3', 5, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxnamelength', 'Longueur maximum Nom d’utilisateur', 'Le nombre maximum de caractères du nom qu’un utilisateur peut utiliser pour s’enregistrer.', 'text', '30', 6, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'redirects', 'Redirection commentée des pages', 'Ceci active la redirection commentée des pages au lieu d’envoyer directement l’utilisateur sur la page.', 'onoff', 'on', 4, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'betweenregstime', 'Intervalle de temps entre enregistrements', 'L’intervalle de temps (en heures) pour interdire l’enregistrement à des utilisateurs qui ont déjà enregistré un compte avec la m&ecirc:me adresse ip.', 'text', '24', 2, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxregsbetweentime', 'Maximum d’enregistrements par adresse IP', 'Cette option vous permet de fixer le nombre maximum de fois qu’un utilisateur donné peut s'enregistrer dans l’intervalle de temps spécifié ci-dessus.', 'text', '2', 4, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistré sur la page du portail ?', 'yesno', 'yes', 5, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showpms', 'Afficher le nombre de MPs des utilisateurs', 'Voulez-vous afficher le nombre de messages privés que l’utilisateur actuel a dans son système pm.', 'yesno', 'yes', 4, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwelcome', 'Afficher la boîte de bienvenue', 'Voulez-vous afficher la boîte de bienvenue aux visiteurs / utilisateurs.', 'yesno', 'yes', 3, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_numannouncements', 'Nombre d’annonces à afficher', 'Veuillez entrer le nombre d’annonces à afficher dans la page principale.', 'text', '10', 2, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistré sur la page du portail ?', 'yesno', 'yes', 5, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l’information ’Qui est en ligne’ aux utilisateurs visitant la page du portail ?', 'yesno', 'yes', 6, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_announcementsfid', 'ID du Forum pour récupérer les annonces', 'Veuillez entrer les ids de forum (fid) du(des) forum(s) d’où vous voulez récupérer les annonces. Séparez-les par une virgule (,)', 'text', '1', 1, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de dernières discussions à afficher', 'Veuillez entrer le nombre de discussions du forum actuel à afficher sur la page du portail.', 'text', '10', 8, 29);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l’information ’Qui est en ligne’ aux utilisateurs visitant la page du portail ?', 'yesno', 'yes', 6, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showsearch', 'Afficher la boîte de recherche', 'Voulez-vous afficher la boîte de recherche, permettant aux utilisateurs de rechercher rapidement dans le forum sur la page du portail ?', 'yesno', 'yes', 7, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussions', 'Afficher les dernières discussions', 'Voulez-vous afficher les discussions actuelles du forum sur la page du portail ?', 'yesno', 'yes', 8, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'portal_showdiscussionsnum', 'Nombre de dernières discussions à afficher', 'Veuillez entrer le nombre de discussions du forum actuel à afficher sur la page du portail.', 'text', '10', 9, 30);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbh', 'Hauteur maximum pour les miniatures de pièces jointes', 'Entrez la hauteur maximale de génération des miniatures.', 'text', '60', 12, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbw', 'Largeur maximum pour les miniatures de pièces jointes', 'Entrez la largeur maximale de génération des miniatures.', 'text', '60', 13, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxattachments', 'Maximum de pièces jointes par message', 'Le nombre maximum de pièces jointes qu’un utilisateur est autorisé à uploader par message.', 'text', '5', 10, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'attachthumbnails', 'Afficher les miniatures de pièces jointes dans les messages', 'Voulez-vous afficher les miniatures générées pour les images jointes dans les messages ?', 'yesno', 'yes', 11, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'polloptionlimit', 'Longueur maximum de l’option Sondage', 'La longueur maximum que chaque option de sondage peut avoir. (Mettez à 0 pour désactiver).', 'text', '250', 1, 13);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'timezoneoffset', 'Fuseau horaire par défaut', 'Vous pouvez ici déterminer le fuseau horaire par défaut pour les invités et les membres utilisant le fuseau par défaut.', 'text', '+1', 4, 3);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'bblanguage', 'Langue par défaut', 'La langue par défaut que MyBB devra utiliser pour les invités et pour les utilisateurs sans langue sélectionnée dans leur panneau de contrôle.', 'language', 'english', 7, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'regimage', 'Image d’enregistrement antispam', 'Si oui, et que GD est installé, une image est affichée pendant l’enregistrement et les utilisateurs doivent entrer le texte contenu dans l'image pour continuer l’enregistrement.', 'onoff', 'on', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'reportmethod', 'Media des messages signalés', 'Veuillez sélectionner dans la liste comment vous voulez que les messages signalés soient distribués. Le stockage dans la base de données est probablement la meilleure des options listées.', 'radio\r\ndb=Stocké dans la Base de données\r\npms=Envoyé comme message privé\r\nemail=Envoyé par Email', 'db', 1, 1);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'threadreadcut', 'Lire les sujets dans la base de données (Jours)', 'Le nombre de jours pendant lesquels vous voulez conserver l’information de lecture de sujet dans la base de données. Pour de gros forums, nous ne vous recommandons pas un grand nombre sinon le forum deviendra plus lent. Mettez à 0 pour désactiver.', 'text', '7', 3, 8);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'announcementlimit', 'Limite d’annonces', 'Le nombre d’annonces de forum à afficher dans la liste des sujets sur les pages du forum. Mettez à 0 pour désactiver entièrement les annonces.', 'text', '2', 10, 7);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'uploadspath', 'Chemin des uploads', 'Le chemin utilisé pour tous les uploads du forum. Il <b>doit être chmod 777</b> (sur les serveurs Unix).', 'text', './uploads', 1, 27);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'maxavatardims', 'Dimensions maximum de l'Avatar', 'Les dimensions maximales que peut avoir un avatar, sous la forme largeur<b>x</b>hauteur. Si c’est laissé vide alors il n’y a pas de limite de dimension.', 'text', '10x10', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'avataruploadpath', 'Chemin d’upload des Avatars', 'Le chemin où les avatars personnalisés seront uploadés. Ce répertoire <b>doit être chmod 777</b> (en écriture) pour que les uploads fonctionnent.', 'text', './uploads/avatars', 1, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'subforumsindex', 'Sous-forums à afficher dans la liste de l'index', 'Le nombre de sous-forums que vous voulez afficher dans les forums sur l'index et les pages forumdisplay. Mettez à 0 pour ne pas afficher la liste des sous-forums', 'text', '2', 1, 16);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'disableregs', 'Désactiver les enregistrements', 'Vous permet de désactiver la possibilité pour les utilisateurs de s'enregistrer.', 'yesno', 'no', 9, 19);");
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'decpoint', 'Symbole décimal', 'Le symbole décimal que vous utilisez dans votre pays.', 'text', '.', 1, 1);");  
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'thousandssep', 'Séparateur numérique des milliers', 'Le signe de ponctuation à utiliser. (par exemple, l’option ’,’ avec le nombre 1200 donnera 1,200)', 'text', ',', 1, 1);");  
	$db->write_query("INSERT INTO ".TABLE_PREFIX."settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'showvernum', 'Afficher numéros de version', 'Permet de désactiver l’affichage public des numéros de version dans MyBB.', 'onoff', 'off', 1, 1);");

	echo "Terminé</p>";
	$output->print_contents($contents);
	$output->print_footer("3_dbchanges3");
}

function upgrade3_dbchanges3()
{
	global $db, $output;

	$output->print_header("Changement des tailles des champs dans la Base de donn&eaute;");

	$contents = "<p>Exécution des changements des tailles des champs de la Base de données nécessaires.</p>";

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."adminlog CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."adminoptions CHANGE uid uid int(10) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE fid fid int(10) NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."announcements CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE visible visible int(1) NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments CHANGE downloads downloads int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachtypes CHANGE atid atid int unsigned NOT NULL auto_increment;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation CHANGE aid aid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."awaitingactivation CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."badwords CHANGE bid bid int unsigned NOT NULL auto_increment;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE gid gid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE oldgroup oldgroup int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."banned CHANGE admin admin int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."events CHANGE eid eid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."events CHANGE author author int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE fid fid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."favorites CHANGE tid tid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE fid fid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumpermissions CHANGE gid gid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE fid fid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE pid pid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE threads threads int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE posts posts int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forums CHANGE style style smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE fsid fsid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE fid fid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."forumsubscriptions CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE lid lid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE gid gid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."groupleaders CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE hid hid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE sid sid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpdocs CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."helpsections CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."icons CHANGE iid iid smallint unsigned NOT NULL auto_increment;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."joinrequests CHANGE gid gid smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE fid fid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderatorlog CHANGE pid pid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE mid mid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE fid fid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."moderators CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE numoptions numoptions smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."polls CHANGE numvotes numvotes smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE vid vid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE pid pid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."pollvotes CHANGE voteoption voteoption smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE pid pid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE replyto replyto int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE fid fid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE icon icon smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE edituid edituid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."posts CHANGE visible visible int(1) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE pmid pmid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE toid toid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE fromid fromid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE folder folder smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."privatemessages CHANGE icon icon smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE fid fid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE length length smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."profilefields CHANGE maxlength maxlength smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE pid pid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE fid fid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reportedposts CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE pid pid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."reputation CHANGE adduid adduid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE sid sid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."searchlog CHANGE limitto limitto smallint(4) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settinggroups CHANGE gid gid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settinggroups CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE disporder disporder smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."settings CHANGE gid gid smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."smilies CHANGE sid sid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."smilies CHANGE disporder disporder smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."templates CHANGE tid tid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."templates CHANGE sid sid int(10) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."templatesets CHANGE sid sid smallint unsigned NOT NULL auto_increment;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes CHANGE tid tid smallint unsigned NOT NULL auto_increment;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE rid rid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadratings CHANGE rating rating smallint unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE tid tid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE fid fid smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE icon icon smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE poll poll int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE uid uid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE replies replies int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE views views int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE sticky sticky int(1) NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE numratings numratings smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE totalratings totalratings smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threads CHANGE visible visible int(1) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadsread CHANGE tid tid int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."threadsread CHANGE uid uid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."userfields CHANGE ufid ufid int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups CHANGE gid gid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usergroups CHANGE stars stars smallint(4) NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users CHANGE uid uid int unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users CHANGE usergroup usergroup smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users CHANGE displaygroup displaygroup smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users CHANGE style style smallint unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users CHANGE referrer referrer int unsigned NOT NULL;");

	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE utid utid smallint unsigned NOT NULL auto_increment;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE posts posts int unsigned NOT NULL;");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."usertitles CHANGE stars stars smallint(4) NOT NULL;");

	echo "Terminé</p>";

	$contents .= "<span style=\"color: red; font-weight: bold;\">ATTENTION :</span> L'´tape suivante effacera tous les thèmes et templates personnalisés que vous avez ! Veuillez les sauvegarder avant de continuer !</p>";
	$output->print_contents($contents);
	$output->print_footer("3_done");
}
